# Custom error codes

## API error codes

| **Status code** | **Status description**                                                         | **English description**                                                       |
| --------------- | ------------------------------------------------------------------------------ | ----------------------------------------------------------------------------- |
| **0**           | **Submission successful**                                                      | **Submitted success**                                                         |
| 101             | Account does not exist                                                         | Account does not exist                                                        |
| 118             | Sending number does not exist                                                  | send phone number does not exist                                              |
| 102             | Incorrect password                                                             | Password wrong                                                                |
| 103             | Incorrect pull count format                                                    | Incorrect number of pulls                                                     |
| 104             | Pull count not within range                                                    | Pull number is not in the range                                               |
| 105             | Batch ID exceeds 128 characters                                                | uid length exceeds 128 character limit                                        |
| 106             | SMS content exceeds 3000 character limit                                       | Text message length exceeds 3000 character limit                              |
| 108             | Phone number format error                                                      | Wrong format of phone number                                                  |
| 109             | Incorrect number of phone numbers                                              | Wrong phone number                                                            |
| 110             | Insufficient balance                                                           | Account balance is insufficient                                               |
| 112             | Product configuration error                                                    | Product configuration error                                                   |
| 114             | Client IP error                                                                | Client IP error                                                               |
| 115             | No domestic SMS permission                                                     | No domestic SMS permission                                                    |
| 116             | Account deleted or disabled                                                    | Account deleted or disabled                                                   |
| 117             | Access number exceeds 20 characters                                            | senderId length exceeds 20 character limit                                    |
| 123             | SMS content cannot be empty                                                    | SMS content cannot be empty                                                   |
| 124             | Introduction or verification code cannot be empty                              | Introduction or verification code cannot be empty                             |
| 125             | A specific customer phone number cannot be used more than ten times in one day | Specific customer mobile phone number cannot exceed ten times on the same day |
| 126             | Scheduled SMS send time cannot be empty                                        | Timing SMS sending time cannot be empty                                       |
| 127             | Scheduled SMS send time error                                                  | Timed SMS sending time error                                                  |
| 128             | Account length exceeds 50 characters                                           | Account length exceeds 50 digits                                              |
| 129             | Product price configuration error                                              | Product price configuration error                                             |
| 130             | Unknown exception                                                              | Unknown anomaly                                                               |
| 131             | Exceeded daily sending limit                                                   | Exceeded daily sending limit                                                  |
| 132             | Exceeded monthly sending limit                                                 | Exceeded monthly sending limit                                                |
| 133             | Exceeded sending limit                                                         | Exceeded sending limit                                                        |
| 134             | Exceeded anti-complaint limit                                                  | Exceeded counter-complaint limit                                              |
| 135             | SMS content does not match                                                     | messages don't match                                                          |
| 136             | SMS billing failed                                                             | message charge error                                                          |
| 137             | Insufficient account balance                                                   | Insufficient account balance                                                  |
| 138             | Blacklist sending restriction                                                  | blacklist send limit                                                          |
| 139             | WhatsApp template ID mismatch                                                  | whatsApp templateId match error                                               |
| 140             | Exceeded daily sending amount limit                                            | Exceeded daily money limit                                                    |
| 141             | Number is a dead/disconnected number                                           | Phone number is vacant                                                        |
| 142             | New users must configure an IP whitelist                                       | Client IP is required                                                         |
| 143             | Rate limiting error                                                            | Traffic control error                                                         |
| 201             | Sender number is invalid                                                       | Send number is invalid                                                        |
| 202             | No available sender                                                            | No sender available                                                           |
| 203             | No sending price                                                               | Price not found                                                               |
| 204             | WhatsApp template does not exist                                               | WhatsApp template not found                                                   |
| 205             | WhatsApp template type error                                                   | WhatsApp category error                                                       |
| 206             | Please configure WhatsApp sending channel                                      | WhatsApp gateway not found                                                    |
| 207             | WhatsApp channel attributes do not match                                       | WhatsApp gateway attribute mismatch                                           |
| 208             | WABA account not bound                                                         | WABA account unknown                                                          |
| 100000          | Token failed                                                                   | Token Failed                                                                  |
| 100001          | Token validation failed                                                        | Invalid Token                                                                 |
| 100002          | Token missing                                                                  | Token Missing                                                                 |
| 100003          | Not logged in                                                                  | Not Login                                                                     |
| 100004          | Username or password incorrect                                                 | Username or Password Error                                                    |
| 100005          | Ticket missing                                                                 | Ticket Missing                                                                |
| 100006          | Ticket validation failed                                                       | Ticket Invalid                                                                |
| 100007          | Logout failed                                                                  | Logout Failed                                                                 |
| 100008          | IP validation failed                                                           | IP Error                                                                      |
| 100009          | Signature validation failed                                                    | Sign Error Or Invalid                                                         |
| 101000          | AES encryption or decryption failed                                            | AES Encrypt or Decrypt Failed                                                 |
| 200001          | Data not found                                                                 | Data Not Existed                                                              |
| 200002          | Data already exists                                                            | Data Existed                                                                  |
| 200003          | Parameter error                                                                | Param Error                                                                   |
| 200004          | File processing failed                                                         | File Processing Failure                                                       |
| 300001          | Member verification failed                                                     | membership check failed                                                       |
| 500             | Internal server error                                                          | Server Internal Error                                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/error-codes/custom-error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
